#include<stdio.h>
#include<stdlib.h>
void stampa(int n, int a[n])
{
    for(int i = 0; i < n; i++)
    {
        printf("%d ", a[i]);
    }
    printf("\n");
}
typedef struct 
{
    int i1;
    int i2;
    int i3;
}pitanje;
int povratak(int m, int n, pitanje niz[m], int a[n], int b[n], int g)
{
    int povratcic = 0;
    int povr = g;
    for(int i = niz[povr].i1; i <= niz[povr].i2; i++)
    {
        if(((a[i]<=niz[g].i3)&&(b[i]>=niz[g].i3)))
        {
            povratcic++;
        }
    }
    return povratcic;
}
int main()
{
    int n, m;   
    scanf("%d%d", &n, &m);
    int a[n], b[n];
    pitanje niz[m];
    for(int i = 0; i < n; i++)
    {
        scanf("%d %d", &a[i], &b[i]);

    }
    for(int i = 0; i < m; i++)
    {
        scanf("%d %d %d", &niz[i].i1, &niz[i].i2, &niz[i].i3);
    }
    for(int i = 0; i < m; i++)
    {
        printf("%d\n", povratak(m, n, niz, a, b, i));
    }

}